summaryrefslogtreecommitdiffstats
path: root/.unittests
diff options
context:
space:
mode:
authorPrashanth Pai <ppai@redhat.com>2016-08-09 14:25:31 +0530
committerPrashanth Pai <ppai@redhat.com>2016-08-09 14:37:15 +0530
commitd4b8804abb876bda9803cee61c6c4298b475e6be (patch)
treeedc8089169dd365447eaac8d6165f2409da5afff /.unittests
parent5d09981197e5f13003b05f9c1bc7f67141c068f7 (diff)
Simplify packaging
* Rename .unittests.sh to .unitests * Fix entries in MANIFEST.in file * Mover version declaration to gfapi.py TODO: Fix the spec file. That'll be sent as a separate change. Change-Id: I0cba8964c1ecc337128c8edc9f301fc1d023bd28 Signed-off-by: Prashanth Pai <ppai@redhat.com>
Diffstat (limited to '.unittests')
-rwxr-xr-x.unittests15
1 files changed, 15 insertions, 0 deletions
diff --git a/.unittests b/.unittests
new file mode 100755
index 0000000..70e1c05
--- /dev/null
+++ b/.unittests
@@ -0,0 +1,15 @@
+#!/bin/bash
+#
+# Copyright (c) 2016 Red Hat, Inc.
+#
+# This file is licensed to you under your choice of the GNU Lesser
+# General Public License, version 3 or any later version (LGPLv3 or
+# later), or the GNU General Public License, version 2 (GPLv2), in all
+# cases as published by the Free Software Foundation.
+
+cd $(dirname $0)/test/unit
+nosetests -v --exe --with-coverage --cover-package gluster --cover-erase --cover-html --cover-branches $@
+
+saved_status=$?
+rm -f .coverage
+exit $saved_status